Page 1 of 1

2.0.13 to 2.0.17 error message

Posted: Thu Jul 28, 2005 3:10 am
by commanderyoda
Upgraded a brand new 2.0.13 board to 2.0.17 using the "changed zip" files. The board is Subsilver with no mods. The "update to latest version" file was launched with no errors being reported. The install and contrib directories were appropriately deleted. Below is the error message I get when I attempt to log into this board:

phpBB : Critical Error

Error creating new session

DEBUG MODE

SQL Error : 1054 Unknown column 'session_admin' in 'field list'

INSERT INTO phpbb_sessions (session_id, session_user_id, session_start, session_time, session_ip, session_page, session_logged_in, session_admin) VALUES ('0b217695ea7f15dfa0710ff384ead7da', -1, 1122520024, 1122520024, '43a92ecb', 0, 0, 0)

Line : 172
File : sessions.php

Posted: Thu Jul 28, 2005 3:11 am
by Marshalrusty
You need to finish the update by running the install/update_to_latest.php file.
1) Upload the install folder to the root folder of your forum (the one with the folders 'admin', 'cache', 'db', 'includes', 'language', etc.)
2) Point to the file in your browser. For example: http://www.yoursite.com/phpBB2/install/ ... latest.php

Posted: Thu Jul 28, 2005 3:26 am
by commanderyoda
No . . . as I indicated . . . the update file "IS" being installed in the correct root directory and luanched as you indicated. However, this same message continues.

Posted: Thu Jul 28, 2005 3:35 am
by Marshalrusty
Do you get any errors when you launch it?

In any case, use phpMyAdmin and run this:

Code: Select all

ALTER TABLE phpb_sessions ADD COLUMN session_admin tinyint(2) DEFAULT '0' NOT NULL";

Posted: Thu Jul 28, 2005 3:36 am
by MHobbit
Make sure you're grabbing the most updated update_to_latest.php file.

Posted: Thu Jul 28, 2005 3:40 am
by commanderyoda
Is there one "more" updated than 2.0.17 ???

Posted: Thu Jul 28, 2005 3:43 am
by Marshalrusty
commanderyoda wrote: Is there one "more" updated than 2.0.17 ???

No
Marshalrusty wrote: In any case, use phpMyAdmin and run this:

Code: Select all

ALTER TABLE phpb_sessions ADD COLUMN session_admin tinyint(2) DEFAULT '0' NOT NULL";

Posted: Thu Jul 28, 2005 3:43 am
by commanderyoda
Where do I find "phpMyAdmin" ? Can you then describe what you mean but "run" the code you described?

Posted: Thu Jul 28, 2005 3:46 am
by Marshalrusty
I'll make it even easier. Download THIS
Then upload it (unzip first) to the root folder and run. The same way you ran update_to_latest.php, except that this needs to be placed in the root folder.

Posted: Thu Jul 28, 2005 3:52 am
by commanderyoda
I downloaded that file. Unziped it and uploaded it to the main root directory. Lauched the file and got this:

error in query 1: You have an error in your SQL syntax near '"' at line 1
done (1 queries).

Posted: Thu Jul 28, 2005 3:58 am
by Marshalrusty
I give up. Get phpMyAdmin and run the query above. This seems like a permissions error.

Posted: Thu Jul 28, 2005 4:00 am
by commanderyoda
Anyone else have a clue?

Posted: Thu Jul 28, 2005 4:02 am
by Marshalrusty
You really should try to install phpMyAdmin, it's a good tool to have access to, are you sure that your host doesn't provide it?

Posted: Thu Jul 28, 2005 4:19 am
by cybrid23
Have you tried using the /update_to_latest.php from the full version download?

Give that a shot and see what happens.....

Posted: Thu Jul 28, 2005 4:26 am
by commanderyoda
Ok . . . I'll give that a shot . . . thanks.